<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Dynamic Star Rating Redux
| Developed by Jordan Boesch
| www.boedesign.com
| Licensed under Creative Commons - http://creativecommons.org/licenses/by-nc-nd/2.5/ca/
| Used CSS from komodomedia.com.
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| Dynamic Star  Forum Thread Ratings for PHP-Fusion 7
| Filename: rating_functions.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

//require_once "../maincore.php";
//include LOCALE.LOCALESET."forum/main.php";

function getRating($id, $rtype) {

	$total = 0;
	$rows = 0;
	
	$sel = dbquery("SELECT rating_vote FROM ".DB_RATINGS." WHERE rating_item_id = '$id' AND rating_type = '".$rtype."'");
	if(dbrows($sel) != 0){
	
		while($data = dbarray($sel)) {	
			$total = $total + $data['rating_vote'];
			$rows++;
    	}
		
		$perc = ($total/$rows) * 20;
		
		//$newPerc = round($perc/5)*5;
		//return $newPerc.'%';
		
		$newPerc = round($perc,2);
		return $newPerc.'%';
	
	} else { return '0%'; }
	
	return '0%';
}

function outOfFive($id, $rtype) {

	$total = 0;
	$rows = 0;
	
	$sel = dbquery("SELECT rating_vote FROM ".DB_RATINGS." WHERE rating_item_id = '".$id."' AND rating_type = '".$rtype."'");
	if(dbrows($sel) != 0) {
	
		while($data = dbarray($sel)){	
			$total = $total + $data['rating_vote'];
			$rows++;
		}
		
		$perc = ($total/$rows);
		
		return round($perc,2);
		//return round(($perc*2), 0)/2; // 3.5
	
	} else { return '0'; }
	
	return '0';
}

function getVotes($id, $rtype){
    global $locale;
	$sel = dbquery("SELECT rating_vote FROM ".DB_RATINGS." WHERE rating_item_id = '$id' AND rating_type = '".$rtype."'");
	$rows = mysql_num_rows($sel);
	if ($rows == 0) {
		$votes = "0 ".$locale['AR103']."";
	} else if($rows == 1) {
		$votes = "1 ".$locale['AR104']."";
	} else if($rows > 1 && $rows < 5) {
		$votes = $rows." ".$locale['AR105']."";
	} else {
		$votes = $rows." ".$locale['AR103']."";
	}
	return $votes;
}

function showratings($rtype, $id) {
	
	global $show5, $showPerc, $showVotes, $static, $user, $userdata, $locale, $can_reply, $fdata;
	
	$show5 = false; $showPerc = false; $showVotes = false; $static = NULL;
	
	// Check if they have already voted...
	$text = '';
	
	if (iMEMBER) { $user = $userdata['user_id']; } else { $user = "0"; }
	
	$sel = dbquery("SELECT rating_item_id FROM ".DB_RATINGS." WHERE rating_ip = '".USER_IP."' AND rating_item_id = '$id' AND rating_type='".$rtype."'");
	
	if(dbrows($sel) != 0 || $static == 'novote' || ($fdata['thread_locked'] && $can_reply) || !iMEMBER) {
	
	echo "<table class='tbl2' cellspacing='0' border='0' width='100%' style='margin: 0.7em 0em 0.7em 0em;'>\n";
    echo "<tr><td width='50%' align='right' valign='middle'>\n";
	echo '<div class="rated_text">';
	echo '<strong><font>'.$locale["AR101"].'</font></strong>';
	echo ' ('.$locale["AR102"].' <span id="showvotes_'.$id.'" class="votesClass">'.getVotes($id, $rtype).'</span>)';
	echo '<span>&nbsp;&nbsp;</span></div>';
	echo "</td><td width='50%' align='left'>\n";
		
	echo '<ul class="star-rating2" id="rater_'.$id.'">';
	echo '<li class="current-rating" style="width:'.getRating($id, $rtype).';" id="ul_'.$id.'"></li>';
	echo '<li><a onclick="return true;" href="#" title="1 gwiazdka na 5" class="one-star" >1</a></li>';
	echo '<li><a onclick="return true;" href="#" title="2 gwiazdki na 5" class="two-stars">2</a></li>';
	echo '<li><a onclick="return true;" href="#" title="3 gwiazdki na 5" class="three-stars">3</a></li>';
	echo '<li><a onclick="return true;" href="#" title="4 gwiazdki na 5" class="four-stars">4</a></li>';
	echo '<li><a onclick="return true;" href="#" title="5 gwiazdek ns 5" class="five-stars">5</a></li>';
	echo '</ul>';
	echo "</td></tr>\n";
	echo "</table>\n";
	echo '<div align="center" id="loading_'.$id.'"></div>';
		
	} else {
	
    echo "<table class='tbl2' cellspacing='0' border='0' width='100%' style='margin: 0.7em 0em 0.7em 0em;'>\n";
    echo "<tr><td width='50%' align='right'>\n";
	echo '<div class="rated_text">';
		$show5bool = 'false'; $showPercbool = 'false'; $showVotesbool = 'false';
	echo '<strong>'.$locale["AR101"].'</strong><span>&nbsp;&nbsp;</span>';
	echo '</div>';
    echo "</td><td width='50%' align='left'>\n";
	
	echo '<ul class="star-rating" id="rater_'.$id.'">';		
    echo '<li class="current-rating" style="width:'.getRating($id, $rtype).';" id="ul_'.$id.'"></li>';
    echo '<li><a onclick="rate(\'1\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$rtype.'\'); return false;" href="includes/ajax_rating/rating_process.php?id='.$id.'&rating=1&rtype='.$rtype.'" title="1 star out of 5" class="one-star" >1</a></li>';
    echo '<li><a onclick="rate(\'2\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$rtype.'\'); return false;" href="includes/ajax_rating/rating_process.php?id='.$id.'&rating=2&rtype='.$rtype.'" title="2 stars out of 5" class="two-stars">2</a></li>';
    echo '<li><a onclick="rate(\'3\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$rtype.'\'); return false;" href="includes/ajax_rating/rating_process.php?id='.$id.'&rating=3&rtype='.$rtype.'" title="3 stars out of 5" class="three-stars">3</a></li>';
    echo '<li><a onclick="rate(\'4\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$rtype.'\'); return false;" href="includes/ajax_rating/rating_process.php?id='.$id.'&rating=4&rtype='.$rtype.'" title="4 stars out of 5" class="four-stars">4</a></li>';
    echo '<li><a onclick="rate(\'5\',\''.$id.'\','.$show5bool.','.$showPercbool.','.$showVotesbool.',\''.$rtype.'\'); return false;" href="includes/ajax_rating/rating_process.php?id='.$id.'&rating=5&rtype='.$rtype.'" title="5 stars out of 5" class="five-stars">5</a></li>';
	echo '</ul>';
	echo "</td></tr>\n";
	echo "</table>\n";
	echo '<div align="center" id="loading_'.$id.'"></div>';
	}
}

?>
